{
    attributes = (
        {
            columnName = CODEEMPLOI; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = C_BAP_CORPS; }; 
            name = cBapCorps; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = C_CHEVRON; 
            externalType = VARCHAR2; 
            name = cChevron; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            columnName = C_CORPS; 
            externalType = VARCHAR2; 
            name = cCorps; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_ECHELON; 
            externalType = VARCHAR2; 
            name = cEchelon; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = C_GRADE; 
            externalType = VARCHAR2; 
            name = cGrade; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_TYPE_ACCES; 
            externalType = VARCHAR2; 
            name = cTypeAcces; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = D_ARRETE_CARRIERE; 
            externalType = DATE; 
            name = dArreteCarriere; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_EFFET_ELEMENT; 
            externalType = DATE; 
            name = dEffetElement; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FIN_ELEMENT; 
            externalType = DATE; 
            name = dFinElement; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_ARRETE_CARRIERE; 
            externalType = VARCHAR2; 
            name = noArreteCarriere; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = NO_DOSSIER_PERS; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NO_SEQ_CARRIERE; 
            externalType = NUMBER; 
            name = noSeqCarriere; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NO_SEQ_ELEMENT; 
            externalType = NUMBER; 
            name = noSeqElement; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = QUOTITE_ELEMENT; 
            externalType = NUMBER; 
            name = quotiteElement; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = REP_ANC_ECH_ANNEES; 
            externalType = NUMBER; 
            name = repAncEchAnnees; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = REP_ANC_ECH_JOURS; 
            externalType = NUMBER; 
            name = repAncEchJours; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = REP_ANC_ECH_MOIS; 
            externalType = NUMBER; 
            name = repAncEchMois; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = TEM_PROVISOIRE; 
            externalType = VARCHAR2; 
            name = temProvisoire; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        noDossierPers, 
        noSeqCarriere, 
        noSeqElement, 
        cCorps, 
        cGrade, 
        cEchelon, 
        dEffetElement, 
        dFinElement, 
        cTypeAcces, 
        temProvisoire, 
        repAncEchAnnees, 
        repAncEchMois, 
        repAncEchJours, 
        noArreteCarriere, 
        dArreteCarriere, 
        dCreation, 
        dModification, 
        cBapCorps, 
        cChevron, 
        quotiteElement
    ); 
    className = EOElementCarriere; 
    classProperties = (
        noDossierPers, 
        noSeqCarriere, 
        noSeqElement, 
        cCorps, 
        cGrade, 
        cEchelon, 
        dEffetElement, 
        dFinElement, 
        cTypeAcces, 
        temProvisoire, 
        repAncEchAnnees, 
        repAncEchMois, 
        repAncEchJours, 
        noArreteCarriere, 
        dArreteCarriere, 
        dCreation, 
        dModification, 
        toIndividu, 
        cBapCorps, 
        cChevron, 
        quotiteElement, 
        toCorps
    ); 
    externalName = ELEMENT_CARRIERE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            noDossierPers, 
            noSeqCarriere, 
            noSeqElement, 
            cCorps, 
            cGrade, 
            cEchelon, 
            dEffetElement, 
            dFinElement, 
            cTypeAcces, 
            temProvisoire, 
            repAncEchAnnees, 
            repAncEchMois, 
            repAncEchJours, 
            noArreteCarriere, 
            dArreteCarriere, 
            dCreation, 
            dModification, 
            toTypeAcces, 
            toCorps, 
            toGrade, 
            toPassageEchelon, 
            toIndividu, 
            toCarriere
        ); 
    }; 
    name = ElementCarriere; 
    primaryKeyAttributes = (noDossierPers, noSeqCarriere, noSeqElement); 
    relationships = (
        {
            destination = Corps; 
            internalInfo = {_nameInObjectStore = toCorps; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCorps; sourceAttribute = cCorps; }); 
            name = toCorps; 
        }, 
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = toIndividu; 
        }
    ); 
}
